Bug 1937238 - Ingress traffic performance drop due to NodePort services
Summary: Ingress traffic performance drop due to NodePort services
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Alexander Constantinescu
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On: 1923157
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-10 08:37 UTC by Alexander Constantinescu
Modified: 2021-03-25 01:53 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1923157
Environment:
Last Closed: 2021-03-25 01:53:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 457 0 None open Bug 1937238: Refactor chain setup for NodePort and ExternalIP 2021-03-10 08:49:57 UTC
Red Hat Product Errata RHBA-2021:0821 0 None None None 2021-03-25 01:53:17 UTC

Comment 2 zhaozhanqi 2021-03-12 00:07:06 UTC
@rsevilla@redhat.com could you help try to verified this bug on 4.7 version?

Comment 4 Raul Sevilla 2021-03-15 16:29:24 UTC
Hi,

I've done some tests with the patch and I can verify I haven't seen a significant performance drop when launching a perf test against a cluster with lot of NodePort services:

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-03-13-033953   True        False         140m    Cluster version is 4.7.0-0.nightly-2021-03-13-033953

# 201 NodePort services

$ oc get svc -A | grep -c NodePort
201

sh-4.4# mb -i conf.json -d 120
Time: 120.10s
Sent: 278.84MiB, 2.32MiB/s
Recv: 2.37GiB, 20.22MiB/s
Hits: 1872002, 15587.13/s
sh-4.4# mb -i conf.json -d 120
Time: 120.09s
Sent: 259.38MiB, 2.16MiB/s
Recv: 2.21GiB, 18.81MiB/s
Hits: 1741354, 14500.04/s


# 1 NodePort service

$ oc get svc -A | grep -c NodePort
1

sh-4.4# mb -i conf.json -d 120
Time: 120.04s
Sent: 279.15MiB, 2.33MiB/s
Recv: 2.37GiB, 20.25MiB/s
Hits: 1874053, 15611.81/s

sh-4.4# mb -i conf.json -d 120
Time: 120.10s
Sent: 286.46MiB, 2.39MiB/s
Recv: 2.44GiB, 20.77MiB/s
Hits: 1923150, 16013.16/s

Comment 7 errata-xmlrpc 2021-03-25 01:53:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.3 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0821


Note You need to log in before you can comment on or make changes to this bug.